aboutsummaryrefslogtreecommitdiff
path: root/subprojects/freeamo/src/unmaintained/verify-license-copy
diff options
context:
space:
mode:
Diffstat (limited to 'subprojects/freeamo/src/unmaintained/verify-license-copy')
-rw-r--r--subprojects/freeamo/src/unmaintained/verify-license-copy52
1 files changed, 52 insertions, 0 deletions
diff --git a/subprojects/freeamo/src/unmaintained/verify-license-copy b/subprojects/freeamo/src/unmaintained/verify-license-copy
new file mode 100644
index 0000000..773c48e
--- /dev/null
+++ b/subprojects/freeamo/src/unmaintained/verify-license-copy
@@ -0,0 +1,52 @@
+#!/usr/bin/env bash
+# This file is part of FreeAMO
+# Copyright (C) 2018 David Hedlund
+#
+# FreeAMO is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+#
+# FreeAMO is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see <http://www.gnu.org/licenses/>.
+
+cd build || exit
+rm -fr VERIFY-LICENSE-COPY.txt
+cd free_webextensions || exit
+
+
+
+# Begin template
+unset file
+while IFS= read -r table; do
+
+ verify_variables "$1"
+
+ if [ "$approved_program" = true ]; then
+ # End template
+
+ id=$(echo $table | awk '{print $2}');
+ file=$(echo $table | awk '{print $3}');
+ slug=$(echo $table | awk '{print $4}');
+
+ echo "--------------------------
+$name ($id): $license";
+ unzip -l "addon-$id-latest.xpi" | awk '{ print $4 }' | grep "COPYING"
+ unzip -l "addon-$id-latest.xpi" | awk '{ print $4 }' | grep "COPYING.txt"
+ unzip -l "addon-$id-latest.xpi" | awk '{ print $4 }' | grep "COPYING.md"
+ unzip -l "addon-$id-latest.xpi" | awk '{ print $4 }' | grep "LICENSE"
+ unzip -l "addon-$id-latest.xpi" | awk '{ print $4 }' | grep "LICENSE.txt"
+ unzip -l "addon-$id-latest.xpi" | awk '{ print $4 }' | grep "LICENSE.md"
+
+ # Begin template
+ fi
+
+ ((line++))
+
+done < $run_path/build/MERGED-ALL-freedom_status.txt
+# End template